complexType "EquityStrike"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (strikePrice? | (strikePercentage?, strikeDeterminationDate?)), currency?
</...>

Content Model Elements (4):

  currency (defined in EquityStrike complexType), strikeDeterminationDate, | strikePercentage (defined in EquityStrike complexType), strikePrice (defined in EquityStrike complexType)

All Direct / Indirect Based Elements (2):

  strike (defined in EquityDerivativeShortFormBase complexType), | strike (in equityOption)

Known Usage Locations

- As direct type of elements (2):

  strike (defined in EquityDerivativeShortFormBase complexType), | strike (in equityOption)

Annotation
A type for defining the strike price for an equity option. The strike price is either: (i) in respect of an index option transaction, the level of the relevant index specified or otherwise determined in the transaction; or (ii) in respect of a share option transaction, the price per share specified or otherwise determined in the transaction. This can be expressed either as a percentage of notional amount or as an absolute value.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="EquityStrike"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="strikePrice" type="xsd:decimal"/> <xsd:sequence> <xsd:element minOccurs="0" name="strikePercentage" type="xsd:decimal"/> <xsd:element minOccurs="0" name="strikeDeterminationDate" type="AdjustableOrRelativeDate"/> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="currency" type="Currency"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

strikeDeterminationDate

  Type: | AdjustableOrRelativeDate, complex content

  The date on which the strike is determined, where this is not the effective date of a forward starting option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikeDeterminationDate" type="AdjustableOrRelativeDate"/>

strikePercentage

  Type: | xsd:decimal, predefined, simple content

  The price or level expressed as a percentage of the forward starting spot price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikePercentage" type="xsd:decimal"/>

strikePrice

  Type: | xsd:decimal, predefined, simple content

  The price or level at which the option has been struck.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikePrice" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.